#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/basecode.love
bzr ls -RV |zip -q@ deploy/basecode.love
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf basecode-win32 basecode-win32.zip
mkdir basecode-win32
cat love/love-0.8.0-win-x86/love.exe basecode.love >basecode-win32/basecode.exe
cp love/love-0.8.0-win-x86/*.dll basecode-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr basecode-win32.zip basecode-win32

# package osx
rm -rf basecode.app basecode-macosx.zip
cp -r love/love.app basecode.app
cp basecode.love basecode.app/Contents/Resources/
cp ../Info.plist basecode.app/Contents/
zip -qry basecode-macosx.zip basecode.app

cd ..
